[package]
name = "app"
version = "0.1.0"
description = "A Tauri App"
authors = ["you"]
license = ""
repository = ""
edition = "2021"
rust-version = "1.77.2"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "app_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2.3.1", features = [] }

[dependencies]
serde_json = "1.0"
serde = { version = "1.0", features = ["derive"] }
log = "0.4"
tauri = { version = "2.7.0", features = ["protocol-asset"] }
tauri-plugin-log = "2"
tauri-plugin-keep-screen-on = "0.1.2"
tauri-plugin-upload = "2"
tauri-plugin-fs = "2"
tauri-plugin-tts = { git = "https://github.com/cfpwastaken/tauri-plugin-tts.git" }
tauri-plugin-duck = { git = "https://git.picoscratch.de/trafficcue/tauri-plugin-duck.git" }
reqwest = { version = "0.12.23", default-features = false, features = ["rustls-tls"] }
diqwest = "3.1.0"
minidom = "0.17.0"
icalendar = { version = "0.17.5", features = ["chrono-tz"] }
anyhow = "1.0.100"
chrono = "0.4.42"
